Packager: Oliver Jones <orj@ihug.co.nz>
Copyright: Copyright (c) 1995,1996 NEC Corporation.  Freely Distributable
Version: 0.17.2beta
Source0: ftp://ftp.nec.com/pub/socks/socks5/socks5-beta-0.17.2-exportable.tar.gz
Source1: socks5.init
#Patch0:
Requires: linuxthreads

Name: socks5

# not needed to work but required by rpm
Release: 1
Group: Networking
%description
blank

# packages start here.

%package server
Summary: SOCKS 5.0 Server Daemon
Release: 1
Group: Networking/Daemons

%description server 
This is NWSL (previously CSTC) version 5.0 of SOCKS, a package that allows Unix
hosts behind a firewall to gain full access to the internet without requiring
direct IP reachability.  It does require a SOCKS server program being run on a
host that can communicate directly to hosts behind the firewall as well as hosts
on the Internet at large.  It is based on the original SOCKS written by David
Koblas <koblas@netcom.com> and the work of the AFT working group of the IETF.

Includes multithreading support via linux threads.

RPM built by Oliver Jones <orj@ihug.co.nz> on RedHat 4.1/Intel
Please contact me if you have any problems with this rpm or if socks5 dumps
core etc.  I can't help with config or things not specifically related to
the build of this RPM though.

%package devel
Summary: SOCKS 5.0 Development header file and libraries.
Release: 1
Group: Development/Libraries

%description devel
These are the libraries and header files required to develop for NWSL 
(previously CSTC) version 5.0 of SOCKS.

RPM built by Oliver Jones <orj@ihug.co.nz> on RedHat 4.1/Intel


%package clients
Summary: Network applications written to use NWSL SOCKS 5.0.
Release: 1
Group: Networking

%description clients
Client programs such as ping, traceroute, ftp, finger, whois, archie, and 
telnet that use SOCKS 5.0.  Also includes a dynamic link library and script 
that allows you to "sockify" programs that don't normally use SOCKS.

RPM built by Oliver Jones <orj@ihug.co.nz> on RedHat 4.1/Intel


%prep 
%setup -T -b 0 -n socks5-beta-0.17.2-exportable
./configure --prefix=/usr --with-threads --with-srvpidfile=/var/run/socks5.pid

%build
make

%install
#make install

cp $RPM_SOURCE_DIR/socks5.init /etc/rc.d/init.d/
cd /etc/rc.d/
ln -sf init.d/socks5.init rc3.d/S86socks5
ln -sf init.d/socks5.init rc6.d/K24socks5
ln -sf init.d/socks5.init rc0.d/K25socks5
cd -

# exec files
/usr/bin/install --strip -m 111 -o root -g root clients/pt/rping       /usr/bin/s5ping
/usr/bin/install --strip -m 111 -o root -g root clients/pt/rtraceroute /usr/sbin/s5traceroute
/usr/bin/install --strip -m 111 -o root -g root clients/ftp/ftp        /usr/bin/s5ftp
/usr/bin/install --strip -m 111 -o root -g root clients/finger/finger  /usr/bin/s5finger
/usr/bin/install --strip -m 111 -o root -g root clients/finger/whois   /usr/bin/s5whois
/usr/bin/install --strip -m 111 -o root -g root clients/archie/archie  /usr/bin/s5archie
/usr/bin/install --strip -m 111 -o root -g root clients/telnet/telnet  /usr/bin/s5telnet
/usr/bin/install         -m 111 -o root -g root server/stopsocks       /usr/sbin/stopsocks
/usr/bin/install --strip -m 111 -o root -g root server/socks5          /usr/sbin/socks5
/usr/bin/install         -m 555 -o root -g root shlib/runsocks         /usr/bin/runsocks

# man pages
/usr/bin/install -m 644 -o root -g root man/man5/socks5.conf.5    /usr/man/man5
/usr/bin/install -m 644 -o root -g root man/man5/libsocks5.conf.5 /usr/man/man5
/usr/bin/install -m 644 -o root -g root man/man5/socks5.passwd.5  /usr/man/man5
/usr/bin/install -m 644 -o root -g root man/man1/stopsocks.1      /usr/man/man1
/usr/bin/install -m 644 -o root -g root man/man1/socks5.1         /usr/man/man1
/usr/bin/install -m 644 -o root -g root man/man1/runsocks.1       /usr/man/man1
/usr/bin/install -m 644 -o root -g root man/man1/socks5_clients.1 /usr/man/man1

# includes
/usr/bin/install -m 644 -o root -g root include/socks.h /usr/include

# libraries
/usr/bin/install -m 755 -o root -g root lib/libsocks5.a       /usr/lib
/usr/bin/install -m 755 -o root -g root shlib/libsocks5_sh.so /usr/lib

if [ -e /etc/libsocks5.conf ]; then
  cp /etc/libsocks5.conf /etc/libsocks5.conf-`date +%y%m%d-%H:%M:%S`
fi
echo "socks5 - - - - -" > /etc/libsocks5.conf

%clean
make clean

%files server
%doc ChangeLog Copyright doc examples patches
/usr/man/man1/stopsocks.1
/usr/man/man1/socks5.1
/usr/man/man5/socks5.conf.5
/usr/man/man5/socks5.passwd.5

/usr/sbin/stopsocks
/usr/sbin/socks5

%config /etc/rc.d/init.d/socks5.init
%config /etc/rc.d/rc3.d/S86socks5
%config /etc/rc.d/rc6.d/K24socks5
%config /etc/rc.d/rc0.d/K25socks5

%post server
echo "Remember to read the man page for socks5 and configure it for your"
echo "situation.  No config file is installed by default but there are"
echo "examples in the /usr/doc directory."

%files devel
%doc test
/usr/lib/libsocks5.a
/usr/include/socks.h

%post devel
echo "Note: Only the static lib is included here.  The shared library is part"
echo "of the clients package."


%files clients
%config /etc/libsocks5.conf

/usr/man/man1/socks5_clients.1
/usr/man/man1/runsocks.1
/usr/man/man5/libsocks5.conf.5

/usr/lib/libsocks5_sh.so

/usr/bin/runsocks
/usr/bin/s5ping
/usr/sbin/s5traceroute
/usr/bin/s5ftp
/usr/bin/s5finger
/usr/bin/s5whois
/usr/bin/s5archie
/usr/bin/s5telnet

%post clients
if [ -x /sbin/ldconfig ]; then 
  /sbin/ldconfig
else
  ldconfig
fi

echo "Read the man page \"socks5_clients\" and \"libsocks5.conf\" to find out"
echo "how to confiure and run these socks5 clients."

%postun clients
if [ -x /sbin/ldconfig ]; then 
  /sbin/ldconfig
else
  ldconfig
fi

